source $ZDOTDIR/init.zsh

# Initialize completions immediately
autoload -Uz compinit
if [ "$(date +'%j')" != "$(stat -f '%Sm' -t '%j' ~/.zcompdump 2>/dev/null)" ]; then
    compinit
else
    compinit -C
fi

# Load completion registrations
source $ZDOTDIR/completions.zsh
